package com.gic.haoban.manage.service.pojo.bo.hm;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2022/7/1 3:35 PM
 * @Description
 * @Version
 **/

public class HmGroupRelationBO implements Serializable {

    private static final long serialVersionUID = 777099918625753950L;

    private Long groupId;
    private Integer changeCount;

    public HmGroupRelationBO() {

    }

    public HmGroupRelationBO(Long groupId, Integer changeCount) {
        this.groupId = groupId;
        this.changeCount = changeCount;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Integer getChangeCount() {
        return changeCount;
    }

    public void setChangeCount(Integer changeCount) {
        this.changeCount = changeCount;
    }

    public static HmGroupRelationBOBuilder builder() {
        return new HmGroupRelationBOBuilder();
    }

    public static class HmGroupRelationBOBuilder {
        private Long groupId;
        private Integer changeCount;

        HmGroupRelationBOBuilder() {
        }

        public HmGroupRelationBOBuilder groupId(final Long groupId) {
            this.groupId = groupId;
            return this;
        }

        public HmGroupRelationBOBuilder changeCount(final Integer changeCount) {
            this.changeCount = changeCount;
            return this;
        }

        public HmGroupRelationBO build() {
            return new HmGroupRelationBO(this.groupId, changeCount);
        }
    }
}
